POSTGetDelegatedResourceAccountIndexV2

Tron Mainnethttps://tron-mainnet.nodit.io/walletsolidity/getdelegatedresourceaccountindexv2

Stake 2.0 API: query the resource delegation index by an account (confirmed state). Two lists will return, one is the list of addresses the account has delegated its resources(toAddress), and the other is the list of addresses that have delegated resources to the account(fromAddress).

Request Body
valuestringrequired

Account address. (Format: Base58 or Hex)

visibleboolean

Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)

Responses
accountstring

Account address.

fromAccountsstring[]

List of account addresses that delegate resources to this account.

toAccountsstring[]

List of account addresses that receive resources delegated by this account.

X-API-KEY
RequestCU25
cURL
curl -X POST "https://tron-mainnet.nodit.io/walletsolidity/getdelegatedresourceaccountindexv2" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "value": "TUoHaVjx7n5xz8LwPRDckgFrDWhMhuSuJM",
  "visible": true
}'
Response
Example · 200
{
  "account": "string"
}